Subject: Re: [PATCH 2/2] powerpc: create mpc85xx pci err platform device for EDAC

From: Dave Jiang <[email-masked]>
Date: Wed, 13 Feb 2008 14:41:25 -0700

Kumar Gala wrote:
> On Feb 11, 2008, at 2:34 PM, Dave Jiang wrote:
> 
>> Creating a platform device for the PCI error registers in order for  
>> the
>> mpc85xx EDAC driver to pick up proper resources. This is to prevent  
>> the
>> EDAC driver from monopolizing the of_device and thus preventing  
>> future PCI
>> code from using the PCI of_device(s).
>>
>> Signed-off-by: Dave Jiang <[email-masked]>
> 
> I'd rather we didn't add new platform devices, but do this via  
> of_platform in the driver itself.

Kumar,
  Here's the thread of discussion between Arnd Bergmann and I why platform
device is used. The original patch was of_device based....

http://ozlabs.org/pipermail/linuxppc-dev/2007-July/thread.html

Does it still make sense or do I need to go back to of_device?

> 
> Also, we need to 'rename' the compatible field for some of these  
> devices.
> 
> - k
> 

-- 

------------------------------------------------------
Dave Jiang
Software Engineer
MontaVista Software, Inc.
http://www.mvista.com
------------------------------------------------------